## json config-2.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/json_config.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/json_config.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/json_config"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/json_config"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## json 0.7-1

=== debian/changelog ===
json (0.7-1) unstable; urgency=low

  * Constructed the dev package by using dh_install.
  * Not changing the revision number since the outcome has not changed.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Sat, 13 Oct 2007 10:35:00 +0300

=== debian/control ===
Source: json
Section: libs
Priority: optional
Maintainer: Henrik Hedberg <hhedberg@innologies.fi>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: json
Architecture: any
Depends: libc6
Description: A JSON implementation in C (json-c)
 JSON-C implements a reference counting object model that allows you to
 easily construct JSON objects in C, output them as JSON formatted strings
 and parse JSON formatted strings back into the C representation of JSON
 objects.
 .
 Homepage: http://oss.metaparadigm.com/json-c/

Package: json-dev
Architecture: any
Depends: libc6, json
Description: Development files for the JSON implementation in C (json-c)
 JSON-C implements a reference counting object model that allows you to
 easily construct JSON objects in C, output them as JSON formatted strings
 and parse JSON formatted strings back into the C representation of JSON
 objects.
 .
 This package contains the static library, headers and pkg-config files.
 .
 Homepage: http://oss.metaparadigm.com/json-c/

## json 0.8-maemo1

=== debian/changelog ===
json (0.8-maemo1) unstable; urgency=low

  * New upstream version.
  * Patched to use long long int for JSON integer numbers.

 -- Henrik Hedberg <hhedberg@innologies.fi>  Tue, 16 Jun 2009 08:55:00 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: json
-Section: libs
+Section: user/system
 Priority: optional
-Maintainer: Henrik Hedberg <hhedberg@innologies.fi>
+Maintainer: Sergey Zakharov <szaharov@cs.karelia.ru>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1
 
@@ -15,6 +15,8 @@
  objects.
  .
  Homepage: http://oss.metaparadigm.com/json-c/
+ .
+ Patched to use long long int as a JSON integer type.
 
 Package: json-dev
 Architecture: any
@@ -27,5 +29,7 @@
  .
  This package contains the static library, headers and pkg-config files.
  .
+ Patched to use long long int as a JSON integer type.
+ .
  Homepage: http://oss.metaparadigm.com/json-c/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/json.sgml > json.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	# Splitting the files into packages.
	#rm $(CURDIR)/debian/json/usr/lib/libjson.la $(CURDIR)/debian/json/usr/lib/libjson.a
	dh_install --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## json 0.9-maemo1

=== debian/changelog ===
json (0.9-maemo1) unstable; urgency=low

  * New upstream version.
  * Add link to bugtracker.

 -- Kirill Kulakov <kulakov@cs.karelia.ru>  Mon, 23 Aug 2010 12:34:54 +0300

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: json
-Section: user/system
+Section: libs
 Priority: optional
-Maintainer: Sergey Zakharov <szaharov@cs.karelia.ru>
+Maintainer: Henrik Hedberg <hhedberg@innologies.fi>
+Uploaders: Kirill Kulakov <kulakov@cs.karelia.ru>, Sergey Zakharov <szaharov@cs.karelia.ru>
 Build-Depends: debhelper (>= 4.0.0)
 Standards-Version: 3.6.1
 
 Package: json
 Architecture: any
 Depends: libc6
+XSBC-Bugtracker: mailto:michael@metaparadigm.com
 Description: A JSON implementation in C (json-c)
  JSON-C implements a reference counting object model that allows you to
  easily construct JSON objects in C, output them as JSON formatted strings
@@ -19,8 +21,10 @@
  Patched to use long long int as a JSON integer type.
 
 Package: json-dev
+Section: libdevel
 Architecture: any
-Depends: libc6, json
+Depends: libc6, json (= ${Source-Version})
+XSBC-Bugtracker: mailto:michael@metaparadigm.com
 Description: Development files for the JSON implementation in C (json-c)
  JSON-C implements a reference counting object model that allows you to
  easily construct JSON objects in C, output them as JSON formatted strings
@@ -33,3 +37,20 @@
  .
  Homepage: http://oss.metaparadigm.com/json-c/
 
+
+Package: json-dbg
+Section: libdevel
+Architecture: any
+Depends: libc6, json (= ${Source-Version})
+Description: Debug symbols for json
+ JSON-C implements a reference counting object model that allows you to
+ easily construct JSON objects in C, output them as JSON formatted strings
+ and parse JSON formatted strings back into the C representation of JSON
+ objects.
+ .
+ Development package for debugging libvkontakte. Contains debug symbols.
+ .
+ Patched to use long long int as a JSON integer type.
+ .
+ Homepage: http://oss.metaparadigm.com/json-c/
+

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,10 @@
 	CFLAGS += -O2
 endif
 
+configure:
+	dh_testdir
+	sh ./autogen.sh
+
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
@@ -48,13 +52,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
-ifneq "$(wildcard /usr/share/misc/config.sub)" ""
-	cp -f /usr/share/misc/config.sub config.sub
-endif
-ifneq "$(wildcard /usr/share/misc/config.guess)" ""
-	cp -f /usr/share/misc/config.guess config.guess
-endif
-
 
 	dh_clean 
 
@@ -94,7 +91,7 @@
 #	dh_installinfo
 	dh_installman
 	dh_link
-	dh_strip
+	dh_strip --dbg-package=json-dbg
 	dh_compress
 	dh_fixperms
 #	dh_perl

## json 0.9-maemo2

=== debian/changelog ===
json (0.9-maemo2) unstable; urgency=low

  * add implementation manual into json-dev package
  * add config file for pkg-config into json-dev package

 -- Kirill Kulakov <kulakov@cs.karelia.ru>  Thu, 26 Aug 2010 17:26:24 +0400

=== debian/control ===
--- 
+++ 
@@ -42,6 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libc6, json (= ${Source-Version})
+XSBC-Bugtracker: mailto:michael@metaparadigm.com
 Description: Debug symbols for json
  JSON-C implements a reference counting object model that allows you to
  easily construct JSON objects in C, output them as JSON formatted strings

## json resource-0.2.6

=== docs/Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 # the i18n builder cannot share the environment and doctrees with the others
-I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
+I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext
 
@@ -86,17 +86,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/json_config.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JSONResource.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/json_config.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JSONResource.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/json_config"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/json_config"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/JSONResource"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JSONResource"
 	@echo "# devhelp"
 
 epub:
